<template>
  <Layouts class="layouts-default" :profile-page="true">
    <template slot="header">
      <div class="hide-desktop">
        <NavBar>
          <template slot="left">
            <BurgerNav />
          </template>
          <template slot="right">
            <AddAccount v-if="!current_user" />
            <nuxt-link
              v-else
              :to="localePath('/profile')"
              class="navbar__avatar"
            >
              <Avatar :user="current_user" />
            </nuxt-link>
          </template>
        </NavBar>
      </div>
    </template>
    <template slot="sidebar">
      <Sidebar>
        <SidebarProfile />
      </Sidebar>
    </template>
    <template slot="content">
      <transition name="page-slide"><nuxt /></transition>
    </template>
    <client-only>
      <portal-target name="modal" />
    </client-only>
  </Layouts>
</template>

<script lang="ts">
import { defineComponent, useContext, computed } from '@nuxtjs/composition-api'
import Layouts from '@/components/ui/Layouts.vue'

import NavBar from '@/components/app/NavBar.vue'
import BurgerNav from '@/components/ui/BurgerNav.vue'
import Avatar from '@/components/ui/Avatar.vue'
import AddAccount from '@/components/ui/AddAccount.vue'

import Sidebar from '@/components/app/Sidebar.vue'
import SidebarProfile from '@/components/app/SidebarProfile.vue'
import { Role } from '@/types'

export default defineComponent({
  components: {
    Layouts,
    NavBar,
    AddAccount,
    Avatar,
    Sidebar,
    BurgerNav,
    SidebarProfile
  },
  name: 'DefaultLayout',
  setup(_, { root }) {
    const current_user = computed(() => root.$accessor.auth.user)
    return {
      current_user
    }
  }
})
</script>

<style lang="scss" scoped>
.layouts-default {
  ::v-deep .layouts-grid {
    @media (min-width: 1400px) {
      padding-right: 100px;
      padding-left: 0px;
      grid-column-gap: 35px;
    }

    &__sidebar {
      border-right: 1px solid #272c3b;
      display: flex;
      flex-direction: column;
      align-items: center;
      @media (max-width: 1199.98px) {
        display: none;
      }
      .sidebar {
        top: 0px;
        left: 0;
        min-height: 100vh;
        width: auto;
        padding-right: 0px;
      }
    }
    &__container {
      padding: 0 0 30px 0;
      @media (min-width: 1199.98px) {
        padding: 60px 0 30px 0;
      }
    }
  }
}
</style>
